Page MenuHomePhabricator

eventlogging tests in mainline error
Closed, ResolvedPublic

Description

eventlogging tests in mainline error as the test runner is trying to run the tests on the tests directory inside the eggs we are imported. Pykafka has a test directory inside the
package. Error is as follows:

File "/usr/lib/python2.7/unittest/loader.py", line 130, in loadTestsFromNames
  suites = [self.loadTestsFromName(name, module) for name in names]
File "/usr/lib/python2.7/unittest/loader.py", line 103, in loadTestsFromName
  return self.loadTestsFromModule(obj)
File "/vagrant/mediawiki/extensions/EventLogging/server/.tox/py27/local/lib/python2.7/site-packages/setuptools/command/test.py", line 39, in loadTestsFromModule
  tests.append(self.loadTestsFromName(submodule))
File "/usr/lib/python2.7/unittest/loader.py", line 103, in loadTestsFromName
  return self.loadTestsFromModule(obj)
File "/vagrant/mediawiki/extensions/EventLogging/server/.tox/py27/local/lib/python2.7/site-packages/setuptools/command/test.py", line 39, in loadTestsFromModule
  tests.append(self.loadTestsFromName(submodule))
File "/usr/lib/python2.7/unittest/loader.py", line 100, in loadTestsFromName
  parent, obj = obj, getattr(obj, part)

AttributeError: 'module' object has no attribute 'test_balancedconsumer'
ERROR: InvocationError: '/vagrant/mediawiki/extensions/EventLogging/server/.tox/py27/bin/python setup.py test'

Event Timeline

Nuria created this task.Sep 3 2015, 8:00 PM
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Nuria added subscribers: Nuria, Analytics-Backlog.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 8:00 PM
Nuria set Security to None.Sep 3 2015, 8:00 PM
Nuria added a subscriber: Analytics-EventLogging.
Nuria moved this task from Next Up to In Code Review on the Analytics-Kanban board.

Change 235849 had a related patch set uploaded (by Alex Monk):
Setup.py only matches eventlogging tests

https://gerrit.wikimedia.org/r/235849

ggellerman assigned this task to Nuria.Sep 4 2015, 3:37 PM
Nuria moved this task from In Code Review to Done on the Analytics-Kanban board.Sep 8 2015, 3:34 PM
kevinator closed this task as Resolved.Sep 8 2015, 10:55 PM
kevinator added a subscriber: kevinator.